automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: fix for makedepend+libtool (PR/385)


From: Alexandre Duret-Lutz
Subject: FYI: fix for makedepend+libtool (PR/385)
Date: Mon, 10 Feb 2003 23:15:18 +0100
User-agent: Gnus/5.090008 (Oort Gnus v0.08) Emacs/21.2 (i386-pc-linux-gnu)

I'm installing this on HEAD & branch-1-7, and closing the PR.

2003-02-10  Alexandre Duret-Lutz  <address@hidden>

        For PR automake/385:
        * lib/depcomp (makedepend): Strip any libtool call, before
        running makedepends.
        * tests/depcomp4.test: New file.
        * tests/Makefile.am (TESTS): Add it.
        Reported by Jeff Squyres.

Index: NEWS
===================================================================
RCS file: /cvs/automake/automake/NEWS,v
retrieving revision 1.198.2.20
diff -u -r1.198.2.20 NEWS
--- NEWS        10 Feb 2003 21:48:22 -0000      1.198.2.20
+++ NEWS        10 Feb 2003 22:14:35 -0000
@@ -14,9 +14,10 @@
 * Fix some incompatibilities with upcoming perl-5.10.
 * Properly quote AC_PACKAGE_TARNAME and AC_PACKAGE_VERSION when defining
   PACKAGE and VERSION.
-* depcomp fixes:
+* depcomp fixes (PR/385):
   - dashmstdout and dashXmstdout modes: don't use `-o /dev/null', this
     is troublesome with gcc and Solaris compilers.
+  - makedepend mode: work with Libtool.
 * Noteworthy manual updates:
   - New FAQ chapter.
   - Document how AC_CONFIG_AUX_DIR interacts with missing files.
Index: THANKS
===================================================================
RCS file: /cvs/automake/automake/THANKS,v
retrieving revision 1.186.2.18
diff -u -r1.186.2.18 THANKS
--- THANKS      4 Feb 2003 20:00:26 -0000       1.186.2.18
+++ THANKS      10 Feb 2003 22:14:35 -0000
@@ -86,6 +86,7 @@
 Jason Molenda          address@hidden
 Jeff Bailey            address@hidden
 Jeff Garzik            address@hidden
+Jeff Squyres           address@hidden
 Jens Krüger            address@hidden
 Jeremy Nimmer          address@hidden
 Jerome Lovy            address@hidden
Index: lib/depcomp
===================================================================
RCS file: /cvs/automake/automake/lib/depcomp,v
retrieving revision 1.35.2.1
diff -u -r1.35.2.1 depcomp
--- lib/depcomp 10 Feb 2003 21:48:22 -0000      1.35.2.1
+++ lib/depcomp 10 Feb 2003 22:14:35 -0000
@@ -304,6 +304,13 @@
 
 makedepend)
   "$@" || exit $?
+  # Remove any Libtool call
+  if test "$libtool" = yes; then
+    while test $1 != '--mode=compile'; do
+      shift
+    done
+    shift
+  fi
   # X makedepend
   shift
   cleared=no
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.443.2.17
diff -u -r1.443.2.17 Makefile.am
--- tests/Makefile.am   10 Feb 2003 21:48:22 -0000      1.443.2.17
+++ tests/Makefile.am   10 Feb 2003 22:14:36 -0000
@@ -136,6 +136,7 @@
 depcomp.test \
 depcomp2.test \
 depcomp3.test \
+depcomp4.test \
 depdist.test \
 depend.test \
 depend2.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.576.2.25
diff -u -r1.576.2.25 Makefile.in
--- tests/Makefile.in   10 Feb 2003 21:48:22 -0000      1.576.2.25
+++ tests/Makefile.in   10 Feb 2003 22:14:36 -0000
@@ -229,6 +229,7 @@
 depcomp.test \
 depcomp2.test \
 depcomp3.test \
+depcomp4.test \
 depdist.test \
 depend.test \
 depend2.test \
Index: tests/depcomp4.test
===================================================================
RCS file: tests/depcomp4.test
diff -N tests/depcomp4.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/depcomp4.test 10 Feb 2003 22:14:36 -0000
@@ -0,0 +1,61 @@
+#! /bin/sh
+# Copyright (C) 2003  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test for PR 385: makedepend doesn't work with Libtool.
+
+required='libtoolize gcc makedepend'
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AC_PROG_CC
+AC_PROG_LIBTOOL
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+noinst_LTLIBRARIES = liba.la
+liba_la_SOURCES = a.c foo.h
+
+grepdeps:
+       grep 'a.lo *:' ./$(DEPDIR)/a.Plo
+END
+
+: > foo.h
+
+cat >a.c <<EOF
+#include "foo.h"
+int a() { return 0; }
+EOF
+
+libtoolize --force
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+
+# Sanity check: make sure the cache variable we force is used by configure
+grep am_cv_CC_dependencies_compiler_type configure
+
+./configure am_cv_CC_dependencies_compiler_type=makedepend
+$MAKE >output 2>&1
+cat output
+grep 'unknown directive' output && exit 1
+$MAKE grepdeps
-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]